AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- AWSPinpointProvider

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- category
- providerName

### Methods

- configure
- getCategory
- getProviderName
- record

## Constructors

### constructor

- new AWSPinpointProvider(config?: any): AWSPinpointProvider

- - Defined in analytics/src/Providers/AWSPinpointProvider.ts:59

  #### Parameters

  - ##### Optional config: any

  #### Returns AWSPinpointProvider

## Properties

### Static category

category: string = "Analytics"

- Defined in analytics/src/Providers/AWSPinpointProvider.ts:48

### Static providerName

providerName: string = "AWSPinpoint"

- Defined in analytics/src/Providers/AWSPinpointProvider.ts:49

## Methods

### configure

- configure(config: any): object

- - Defined in analytics/src/Providers/AWSPinpointProvider.ts:161

  configure the plugin

  #### Parameters

  - ##### config: any

    configuration

  #### Returns object

### getCategory

- getCategory(): string

- - Defined in analytics/src/Providers/AWSPinpointProvider.ts:146

  get the category of the plugin

  #### Returns string

### getProviderName

- getProviderName(): string

- - Defined in analytics/src/Providers/AWSPinpointProvider.ts:153

  get provider name of the plugin

  #### Returns string

### record

- record(params: any): Promise<boolean>

- - Defined in analytics/src/Providers/AWSPinpointProvider.ts:190

  record an event

  #### Parameters

  - ##### params: any

    the params of an event

  #### Returns Promise<boolean>